#!/bin/sh

ARCH=$(uname -m)

case $ARCH in
x86_64 | ia64 | s390 )
LIB_DIR=/usr/lib64
SECONDARY_LIB_DIR=/usr/lib
;;
* )
LIB_DIR=/usr/lib
SECONDARY_LIB_DIR=/usr/lib64
;;
esac

if [ ! -x $LIB_DIR/###loc###/lndtool ] ; then
	if [ ! -x $SECONDARY_LIB_DIR/###loc###/lndtool ] ; then
		echo "Error: $LIB_DIR/###loc###/lndtool not found"
		if [ -d $SECONDARY_LIB_DIR ] ; then
			echo "       $SECONDARY_LIB_DIR/###loc###/lndtool not found"
		fi
		exit 1
	fi
	LIB_DIR=$SECONDARY_LIB_DIR
fi

$LIB_DIR/###loc###/lndtool $@
